## neotoma 1.2-0

=== DESCRIPTION ===
Package: neotoma
Type: Package
Title: Access to the Neotoma Paleoecological Database Through R
Version: 1.2-0
Date: 2015-05-01
Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek [ctb], 
        Karthik Ram [aut], Luke Sosalla [ctb]
Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
    role = c("aut", "cre"), email = "goring@wisc.edu"),
    person(given = c("Gavin", "L."), family = "Simpson", role = "aut"),
    person(given = c("Jeremiah", "P."), family = "Marsicek", role = "ctb"),
    person(given = "Karthik", family = "Ram", role = "aut"),
    person(given = "Luke", family = "Sosalla", role = "ctb"))
Maintainer: Simon J. Goring <goring@wisc.edu>
Description: Access paleoecological datasets from the Neotoma Paleoecological 
    Database using the published API (http://api.neotomadb.org/).  The functions 
    in this package access various pre-built API functions and attempt to return 
    the results from Neotoma in a usable format for researchers and the public.
License: MIT + file LICENSE
URL: https://github.com/ropensci/neotoma
BugReports: https://github.com/ropensci/neotoma/issues
Depends: R (>= 2.10)
Imports: RJSONIO, RCurl (>= 1.6), plyr, reshape2
Suggests: testthat, knitr
NeedsCompilation: no
Packaged: 2015-05-02 15:11:25 UTC; Simon Goring
Repository: CRAN
Date/Publication: 2015-05-03 07:07:39

## neotoma 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.2-0
+Version: 1.3.0
 Date: 2015-05-01
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek [ctb], 
         Karthik Ram [aut], Luke Sosalla [ctb]
@@ -23,6 +23,6 @@
 Imports: RJSONIO, RCurl (>= 1.6), plyr, reshape2
 Suggests: testthat, knitr
 NeedsCompilation: no
-Packaged: 2015-05-02 15:11:25 UTC; Simon Goring
+Packaged: 2015-05-28 21:38:49 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2015-05-03 07:07:39
+Date/Publication: 2015-05-29 08:58:01

## neotoma 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.3.0
-Date: 2015-05-01
+Version: 1.3.1
+Date: 2015-07-07
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek [ctb], 
         Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -23,6 +23,6 @@
 Imports: RJSONIO, RCurl (>= 1.6), plyr, reshape2
 Suggests: testthat, knitr
 NeedsCompilation: no
-Packaged: 2015-05-28 21:38:49 UTC; Simon Goring
+Packaged: 2015-07-13 20:21:38 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2015-05-29 08:58:01
+Date/Publication: 2015-07-14 20:40:41

## neotoma 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.3.1
-Date: 2015-07-07
+Version: 1.3.2
+Date: 2015-07-14
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek [ctb], 
         Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -23,6 +23,6 @@
 Imports: RJSONIO, RCurl (>= 1.6), plyr, reshape2
 Suggests: testthat, knitr
 NeedsCompilation: no
-Packaged: 2015-07-13 20:21:38 UTC; Simon Goring
+Packaged: 2015-07-15 02:09:26 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2015-07-14 20:40:41
+Date/Publication: 2015-07-15 13:23:55

## neotoma 1.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.3.2
+Version: 1.3.3
 Date: 2015-07-14
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek [ctb], 
         Karthik Ram [aut], Luke Sosalla [ctb]
@@ -23,6 +23,6 @@
 Imports: RJSONIO, RCurl (>= 1.6), plyr, reshape2
 Suggests: testthat, knitr
 NeedsCompilation: no
-Packaged: 2015-07-15 02:09:26 UTC; Simon Goring
+Packaged: 2015-08-22 17:48:28 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2015-07-15 13:23:55
+Date/Publication: 2015-08-22 23:36:17

## neotoma 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.3.3
-Date: 2015-07-14
+Version: 1.4.0
+Date: 2015-09-25
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek [ctb], 
         Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -23,6 +23,6 @@
 Imports: RJSONIO, RCurl (>= 1.6), plyr, reshape2
 Suggests: testthat, knitr
 NeedsCompilation: no
-Packaged: 2015-08-22 17:48:28 UTC; Simon Goring
+Packaged: 2015-09-25 05:29:59 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2015-08-22 23:36:17
+Date/Publication: 2015-09-25 14:56:55

## neotoma 1.5.0

=== DESCRIPTION ===
Package: neotoma
Type: Package
Title: Access to the Neotoma Paleoecological Database Through R
Version: 1.5.0
Date: 2016-02-28
Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
    [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
    role = c("aut", "cre"), email = "goring@wisc.edu"),
    person(given = c("Gavin", "L."), family = "Simpson", role = "aut"),
    person(given = c("Jeremiah", "P."), family = "Marsicek", role = "ctb"),
    person(given = "Karthik", family = "Ram", role = "aut"),
    person(given = "Luke", family = "Sosalla", role = "ctb"))
Maintainer: Simon J. Goring <goring@wisc.edu>
Description: Access paleoecological datasets from the Neotoma Paleoecological
    Database using the published API (http://api.neotomadb.org/).  The functions
    in this package access various pre-built API functions and attempt to return
    the results from Neotoma in a usable format for researchers and the public.
License: MIT + file LICENSE
URL: https://github.com/ropensci/neotoma
BugReports: https://github.com/ropensci/neotoma/issues
Depends: R (>= 2.10)
Imports: plyr, reshape2, jsonlite, httr, xml2
Suggests: testthat, knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-29 07:19:03 UTC; Simon Goring
Repository: CRAN
Date/Publication: 2016-02-29 11:39:25

## neotoma 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.5.0
-Date: 2016-02-28
+Version: 1.5.1
+Date: 2016-05-04
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
     [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -24,6 +24,6 @@
 Suggests: testthat, knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-02-29 07:19:03 UTC; Simon Goring
+Packaged: 2016-05-06 21:35:16 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2016-02-29 11:39:25
+Date/Publication: 2016-05-07 01:51:34

## neotoma 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.5.1
-Date: 2016-05-04
+Version: 1.6.0
+Date: 2016-07-27
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
     [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -24,6 +24,6 @@
 Suggests: testthat, knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-05-06 21:35:16 UTC; Simon Goring
+Packaged: 2016-07-27 19:50:16 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2016-05-07 01:51:34
+Date/Publication: 2016-07-27 23:20:51

## neotoma 1.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.6.0
-Date: 2016-07-27
+Version: 1.6.1
+Date: 2016-08-17
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
     [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -20,10 +20,10 @@
 URL: https://github.com/ropensci/neotoma
 BugReports: https://github.com/ropensci/neotoma/issues
 Depends: R (>= 2.10)
-Imports: plyr, reshape2, jsonlite, httr, xml2
+Imports: plyr, reshape2, jsonlite, httr, xml2, analogue
 Suggests: testthat, knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-07-27 19:50:16 UTC; Simon Goring
+Packaged: 2016-08-19 04:59:32 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2016-07-27 23:20:51
+Date/Publication: 2016-08-19 21:38:50

## neotoma 1.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.6.1
-Date: 2016-08-17
+Version: 1.6.2
+Date: 2016-09-21
 Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
     [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
@@ -24,6 +24,6 @@
 Suggests: testthat, knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-08-19 04:59:32 UTC; Simon Goring
+Packaged: 2016-09-22 07:05:01 UTC; Simon Goring
 Repository: CRAN
-Date/Publication: 2016-08-19 21:38:50
+Date/Publication: 2016-09-22 16:51:03

## neotoma 1.7.0

=== DESCRIPTION ===
Package: neotoma
Type: Package
Title: Access to the Neotoma Paleoecological Database Through R
Version: 1.7.0
Date: 2017-06-21
Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
    [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
    role = c("aut", "cre"), email = "goring@wisc.edu"),
    person(given = c("Gavin", "L."), family = "Simpson", role = "aut"),
    person(given = c("Jeremiah", "P."), family = "Marsicek", role = "ctb"),
    person(given = "Karthik", family = "Ram", role = "aut"),
    person(given = "Luke", family = "Sosalla", role = "ctb"))
Maintainer: Simon J. Goring <goring@wisc.edu>
Description: Access paleoecological datasets from the Neotoma Paleoecological
    Database using the published API (<http://api.neotomadb.org/>).  The functions
    in this package access various pre-built API functions and attempt to return
    the results from Neotoma in a usable format for researchers and the public.
License: MIT + file LICENSE
URL: https://github.com/ropensci/neotoma
BugReports: https://github.com/ropensci/neotoma/issues
Depends: R (>= 2.10)
Imports: plyr, reshape2, jsonlite, httr, xml2, analogue, leaflet
Suggests: testthat, knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-06-21 20:48:49 UTC; simon
Repository: CRAN
Date/Publication: 2017-06-21 23:22:06 UTC

## neotoma 1.7.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.7.0
-Date: 2017-06-21
-Author: Simon J. Goring [aut, cre], Gavin L. Simpson [aut], Jeremiah P. Marsicek
-    [ctb], Karthik Ram [aut], Luke Sosalla [ctb]
+Version: 1.7.2
+Date: 2018-09-17
+Encoding: UTF-8
+Author: Simon J. Goring [aut, cre],
+  Gavin L. Simpson [aut],
+  Jeremiah P. Marsicek [ctb],
+  Karthik Ram [aut],
+  Luke Sosalla [ctb]
 Authors@R: c(person(given = c("Simon", "J."), family = "Goring",
     role = c("aut", "cre"), email = "goring@wisc.edu"),
     person(given = c("Gavin", "L."), family = "Simpson", role = "aut"),
@@ -20,10 +24,10 @@
 URL: https://github.com/ropensci/neotoma
 BugReports: https://github.com/ropensci/neotoma/issues
 Depends: R (>= 2.10)
-Imports: plyr, reshape2, jsonlite, httr, xml2, analogue, leaflet
+Imports: plyr, reshape2, jsonlite, httr, xml2, analogue, leaflet, dplyr
 Suggests: testthat, knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2017-06-21 20:48:49 UTC; simon
+Packaged: 2018-09-26 21:20:30 UTC; simon
 Repository: CRAN
-Date/Publication: 2017-06-21 23:22:06 UTC
+Date/Publication: 2018-09-26 21:50:03 UTC

## neotoma 1.7.3%2Bdfsg

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/neotama-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/seancribbs/neotoma/tags .*/(\d[\d\.]+)\.tar\.gz

## neotoma 1.7.3+dfsg

=== debian/changelog ===
neotoma (1.7.3+dfsg-1) unstable; urgency=medium

  * New maintainer. (Closes: #809925)
  * New upstream release. (Closes: #800569)
  * Change using dh-rebar.
  * Update Standards-Version to 3.9.6.
  * Update debian/watch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 13 Feb 2016 16:18:49 +0900

neotoma (1.5.1-1) experimental; urgency=low

  * Initial release, target experimental since we are in a freeze.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 01 Dec 2012 20:47:41 +0100

=== debian/control ===
Source: neotoma
Section: devel
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), rebar, erlang-dev (>= 1:14.b.4), erlang-eunit, dh-rebar
Standards-Version: 3.9.6
Homepage: https://github.com/seancribbs/neotoma
#Vcs-Git: git://git.debian.org/collab-maint/neotoma.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/neotoma.git;a=summary

Package: erlang-neotoma
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
Description: parser generator for Erlang
 Neotoma is a packrat parser-generator for Erlang for Parsing
 Expression Grammars (PEGs). It consists of a parsing-combinator
 library with memoization routines, a parser for PEGs, and a utility
 to generate parsers from PEGs.  It is inspired by treetop, a Ruby
 library with similar aims, and parsec, the parser-combinator library
 for Haskell.
 .
 Features include:
  - Simple, declarative parsers generated from even simpler grammars.
  - Fully integrated, single-pass lexical and syntactic analysis (a
    feature of PEGs).
  - Packrat-style memoization, boasting parse-time bound linearly to
    the input size (at the expense of memory usage).
  - In-place semantic analysis/transformation, supporting single-pass
    end-to-end in some applications.
  - Erlang code-generation for the lexical/syntactic analysis piece,
    with the option of semantic analysis/transformation inline, or in
    a separate module.
  - Line/column number tracking for easy resolution of parsing
    errors.

## neotoma 1.7.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: neotoma
 Type: Package
 Title: Access to the Neotoma Paleoecological Database Through R
-Version: 1.7.2
-Date: 2018-09-17
+Version: 1.7.4
+Date: 2019-01-03
 Encoding: UTF-8
 Author: Simon J. Goring [aut, cre],
   Gavin L. Simpson [aut],
@@ -26,8 +26,8 @@
 Depends: R (>= 2.10)
 Imports: plyr, reshape2, jsonlite, httr, xml2, analogue, leaflet, dplyr
 Suggests: testthat, knitr
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-09-26 21:20:30 UTC; simon
+Packaged: 2019-01-04 00:31:48 UTC; simon
 Repository: CRAN
-Date/Publication: 2018-09-26 21:50:03 UTC
+Date/Publication: 2019-01-05 01:10:03 UTC

## neotoma 1.7.4%2Bdfsg

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/neotama-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/seancribbs/neotoma/tags .*/(\d[\d\.]+)\.tar\.gz

## neotoma 1.7.4+dfsg

=== Makefile ===
.PHONY: test compile clean dialyzer bootstrap escript

all: compile

compile:
	@./rebar compile

test:
	@./rebar eunit

clean:
	@./rebar clean

neotoma.plt:
	@dialyzer --build_plt --apps erts kernel stdlib compiler crypto hipe \
		syntax_tools --output_plt neotoma.plt

dialyzer: compile neotoma.plt
	@dialyzer --plt neotoma.plt ebin

xref: compile
	@./rebar xref skip_deps=true

bootstrap: compile
	@erl -pz ebin -b start_sasl -noshell -s init stop -s neotoma bootstrap
	@./rebar compile

escript:
	@./rebar escriptize

=== debian/changelog ===
neotoma (1.7.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Set Vcs-Git and Vcs-Browser field.
  * Update Standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 01 Jul 2017 07:56:28 +0900

neotoma (1.7.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Remove patches directory.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 31 May 2017 17:23:59 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9), rebar, erlang-dev (>= 1:14.b.4), erlang-eunit, dh-rebar
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/seancribbs/neotoma
-#Vcs-Git: git://git.debian.org/collab-maint/neotoma.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/neotoma.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/neotoma.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neotoma.git/
 
 Package: erlang-neotoma
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(shell dpkg-parsechangelog | sed -rne 's/^Source: (.+)/\1/p')
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_install:
	dh_auto_install

	for dir in ebin priv; do \
		install -d \
			$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/$$dir ; \
		install -m 644 $$dir/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/$$dir/ ; \
	done

#override_dh_gencontrol-arch:
#	erlang-depends -a
#	dh_gencontrol -a
#
#override_dh_compress-arch:
#	dh_compress -X.erl -X.beam
#
#override_dh_auto_test:
#	HOME=/tmp rebar eunit -vv
